API - Retrieving Custom Objects from the Lead
How to pull a Lead's custom objects.
Route
GET /lead/customobjects/lead-id?apitoken=your-token&i=your-instance
Full endpoint: https://sprinthub-api-master.sprinthub.app/lead/customobjects/lead-id?apitoken=your-token&i=your-instance
Query Params
i
Identifier of your instance, subdomain.
apitoken
API token.
Getting Lead Custom Objects
The request was sent using the software Postman. The expected response is a list of objects with all the Custom Objects.


Getting the definition of Custom Objects
The response from the previous call returns the "definitionId", which is the identifier of the instance's Custom Object; to get a list of the definitions, the following call can be used:
GET /customobjects/def?query={definitions{id,name,pluralName,relationship{id},isPublished,allowDynamicInsert,fields{label,alias,defaultValue,type,required,uniqueIdentifier,properties}}}&apitoken=your-token&i=your-instance
Full endpoint: https://sprinthub-api-master.sprinthub.app/customobjects/def?query={definitions{id,name,pluralName,relationship{id},isPublished,allowDynamicInsert,fields{label,alias,defaultValue,type,required,uniqueIdentifier,properties}}}&apitoken=your-token&i=your-instance

Last updated